Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1385 (new defect)

Opened 14 years ago

Last modified 11 years ago

wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)

Reported by: tom@truthdb.org Assigned to:
Priority: major Milestone:
Component: madwifi: HAL Version: v0.9.3.1
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I cannot get this driver to work. I've tried every version I can get my hands on, with no success. Others have had this issue, but the tickets were all closed with no resolution.

Here is what lspci -vv says:

03:03.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at fdee0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

Here is the output from dmesg:

ath_hal: no version for "struct_module" found: kernel tainted.
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (0.9.3.1)
ath_pci: 0.9.4.5 (0.9.3.1)
wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)

This card works flawlessly in Windows XP on the same machine.

Change History

(follow-up: ↓ 3 ) 06/14/07 07:46:24 changed by mentor

Have you tried trunk HEAD? After 0.9.3 a new HAL version was merged.

06/14/07 07:46:40 changed by mentor

  • priority changed from critical to major.

(in reply to: ↑ 1 ) 06/17/07 03:20:10 changed by anonymous

Replying to mentor:

Have you tried trunk HEAD? After 0.9.3 a new HAL version was merged.

Thanks for your reply.

I just tried it. Here is the dmesg output:

wlan: 0.8.4.2 (svn r2471)
ath_pci: 0.9.4.5 (svn r2471)
ACPI: PCI Interrupt 0000:03:03.0[A] -> GSI 19 (level, low) -> IRQ 18
MadWifi: unable to attach hardware: 'Hardware self-test failed' (HAL status 14)
ACPI: PCI interrupt for device 0000:03:03.0 disabled

lspci -vv:

03:03.0 Ethernet controller: Atheros Communications, Inc. AR5006X 802.11abg NIC (rev 01)
        Subsystem: Lite-On Communications Inc Unknown device 5001
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at fdee0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

So the problem still persists. It works fine in Win XP.

06/27/07 07:16:56 changed by mrenzmann

  • reporter changed from anonymous to tom@truthdb.org.

03/09/08 16:13:14 changed by anonymous

I also get the same thing

03/13/08 20:30:37 changed by gholland

For what it's worth, I had the same problem with an AR5212 card until I set CONFIG_IEEE80211_DEBUG=y. That seems to have solved it.

I had two identical laptops (IBM T23) loaded with identical versions of linux (FC5) with fresh builds of linux-2.6.15.1 and madwifi-0.9.4, and identical D-LINK DWL-AG660 (AR5212) PCMCIA cards (with identical MAC, PHY, and EEPROM versions, as reported by ath_info). I noticed the same inconsistencies with Mem, BusMaster?, and PERR that others had reported, so I decided to verify that my builds were identical. They were, except for CONFIG_IEEE80211_DEBUG. When I enabled that and rebuilt the problem went away, and now the lspci/scanpci reports are identical.

03/24/08 12:45:48 changed by increMENTAL

having the exact same problem in Linux, but works fine on XP !

12/03/10 16:42:21 changed by anonymous

i have this problem too! in latest release v0.9.4... My OS: Red Hat Enterprise Linux Server release 5.5 2.6.18-194.el5 wi-fi card Dlink DWL-G520 lspci -vv 00:0a.0 Ethernet controller: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter (rev 01)

Subsystem: Atheros Communications Inc. D-Link AirPlus? DWL-G520 Wireless PCI Adapter (rev. A) Control: I/O- Mem- BusMaster?- SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping- SERR- FastB2B- Status: Cap+ 66MHz- UDF+ FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR+ Interrupt: pin A routed to IRQ 185 Region 0: Memory at e2000000 (32-bit, non-prefetchable) [disabled] [size=64K] Capabilities: [44] Power Management version 2

Flags: PMEClk- DSI- D1- D2- AuxCurrent?=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-) Status: D0 PME-Enable- DSel=0 DScale=2 PME-

i try modprobe ath_pci

dmesg: ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413) wlan: svn r4133 (branch madwifi-0.9.4) ath_pci: svn r4133 (branch madwifi-0.9.4) PCI: Enabling device 0000:00:0a.0 (0000 -> 0002) ACPI: PCI Interrupt 0000:00:0a.0[A] -> GSI 18 (level, low) -> IRQ 185 wifi%d: unable to attach hardware: 'Hardware self-test failed' (HAL status 14) ACPI: PCI interrupt for device 0000:00:0a.0 disabled

=((( do you fix this?